Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface IContentProvider

All Known Subinterfaces:
  IMergeViewerContentProvider, IStructuredContentProvider, ITreeContentProvider

All Known Implementing Classes:
  ArrayContentProvider, BaseWorkbenchContentProvider, EnvironmentTab.EnvironmentVariableContentProvider, FileEditorMappingContentProvider, PreferenceContentProvider

public interface IContentProvider

A content provider mediates between the viewer's model and the viewer itself.

See Also:
  `ContentViewer.setContentProvider(IContentProvider)`

Method Summary
`void` | `dispose()` Disposes of this content provider.
`void` | `inputChanged(Viewer viewer, Object oldInput, Object newInput)` Notifies this content provider that the given viewer's input has been switched to a different element.

Method Detail

### dispose

    public void dispose()

  Disposes of this content provider. This is called by the viewer when it is disposed.

  The viewer should not be updated during this call, as it is in the process of being disposed.

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Notifies this content provider that the given viewer's input has been switched to a different element.

  A typical use for this method is registering the content provider as a listener to changes on the new input (using model-specific means), and deregistering the viewer from the old input. In response to these change notifications, the content provider should update the viewer (see the add, remove, update and refresh methods on the viewers).

  The viewer should not be updated during this call, as it might be in the process of being disposed.

  Parameters:
    `viewer` - the viewer
    `oldInput` - the old input element, or `null` if the viewer did not previously have an input
    `newInput` - the new input element, or `null` if the viewer does not have an input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.